Notification handlers

GET https://bio.boof360.de/api/notification-handlers/
curl --request GET \
--url 'https://bio.boof360.de/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
page Optional Ganzzahl Die Seitenzahl, von der Sie Ergebnisse möchten. Standardwert ist 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse Sie pro Seite wünschen. Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardwert ist 25.
{ "data": [ { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-03-04 06:44:39", } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://bio.boof360.de/api/notification-handlers?page=1", "last": "https://bio.boof360.de/api/notification-handlers?page=1", "next": null, "prev": null, "self": "https://bio.boof360.de/api/notification-handlers?page=1" } }
GET https://bio.boof360.de/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "type": "email", "name": "Work email", "settings": { "email": "hey@example.com" }, "is_enabled": true, "last_datetime": null, "datetime": "2026-03-04 06:44:39", } }
POST https://bio.boof360.de/api/notification-handlers
Parameter Details Beschreibung
name Erforderlich Zeichenkette -
type Erforderlich Zeichenkette Erlaubte Werte: email , webhook , slack , discord , telegram , microsoft_teams , google_chat , internal_notification
email Optional Zeichenkette Verfügbar wenn: type = email Email
webhook Optional Zeichenkette Verfügbar wenn: type = webhook Webhook URL
slack Optional Zeichenkette Verfügbar wenn: type = slack Slack webhook URL
discord Optional Zeichenkette Verfügbar wenn: type = discord Discord webhook URL
telegram Optional Zeichenkette Verfügbar wenn: type = telegram Telegram API Token
telegram_chat_id Optional Zeichenkette Verfügbar wenn: type = telegram Telegram Chat ID
microsoft_teams Optional Zeichenkette Verfügbar wenn: type = microsoft_teams Microsoft Teams webhook URL
google_chat Optional Zeichenkette Verfügbar wenn: type = google_chat Google chat webhook URL
curl --request POST \
--url 'https://bio.boof360.de/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{ "data": { "id": 1 } }
POST https://bio.boof360.de/api/notification-handlers/{notification_handler_id}
Parameter Details Beschreibung
name Optional Zeichenkette -
type Optional Zeichenkette Erlaubte Werte: email , webhook , slack , discord , telegram , microsoft_teams , google_chat , internal_notification
email Optional Zeichenkette Verfügbar wenn: type = email Email
webhook Optional Zeichenkette Verfügbar wenn: type = webhook Webhook URL
slack Optional Zeichenkette Verfügbar wenn: type = slack Slack webhook URL
discord Optional Zeichenkette Verfügbar wenn: type = discord Discord webhook URL
telegram Optional Zeichenkette Verfügbar wenn: type = telegram Telegram API Token
telegram_chat_id Optional Zeichenkette Verfügbar wenn: type = telegram Telegram Chat ID
microsoft_teams Optional Zeichenkette Verfügbar wenn: type = microsoft_teams Microsoft Teams webhook URL
google_chat Optional Zeichenkette Verfügbar wenn: type = google_chat Google chat webhook URL
is_enabled Optional Boolean -
curl --request POST \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{ "data": { "id": 1 } }
DELETE https://bio.boof360.de/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://bio.boof360.de/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \